Skip to main content

Audit Logs

For certain entities you can retrieve change logs which allows you to see all the changes made to the entity. You should always use pagination when fetching change logs for an entity.

Entities supported right now are Campaign, AdSquad, Ad, Creative and Dynamic Templates. Change logs are only availabe from the 16 July 2019 and onwards.

Fetch the change logs for a Campaign​

curl "https://adsapi.snapchat.com/v1/campaigns/{campaign_id}/external_changelogs?limit=50" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "5d2f4a2e00ff0b2d2797e383a20001737e616473617069736300016275696c642d32613361333938642d312d3237332d3100010126",
"paging": {},
"changelogs": [
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "f9fd14cf-1bb0-4592-beeb-9d7e358e746b",
"updated_at": "2019-07-17T16:17:30.194Z",
"created_at": "2019-07-17T16:17:30.194Z",
"name": "Badger Campaign - July 2019",
"action": "UPDATED",
"user_id": "a71cfcae-895d-4314-9460-e2ffd2515dd0",
"email": "honey.badger@hooli.com",
"event_at": "2019-07-17T16:17:29.991Z",
"app_id": "87947032-5fbd-46a7-ba60-073ca8efefbb",
"app_name": "Honey badger App",
"entity_id": "dcc3f407-7049-47aa-8300-6cce946ed04e",
"entity_type": "CAMPAIGN",
"update_value_records": {
"status": {
"before_value": "\"ACTIVE\"",
"after_value": "\"PAUSED\""
}
}
}
},
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "3cd457c6-077d-4d4b-9647-73a97045e709",
"updated_at": "2019-07-17T15:54:59.955Z",
"created_at": "2019-07-17T15:54:59.955Z",
"name": "Badger Campaign - July 2019",
"action": "UPDATED",
"user_id": "a71cfcae-895d-4314-9460-e2ffd2515dd0",
"email": "honey.badger@hooli.com",
"event_at": "2019-07-17T15:54:59.755Z",
"app_id": "87947032-5fbd-46a7-ba60-073ca8efefbb",
"app_name": "Honey badger App",
"entity_id": "dcc3f407-7049-47aa-8300-6cce946ed04e",
"entity_type": "CAMPAIGN",
"update_value_records": {
"end_time": {
"after_value": "1563580491000"
}
}
}
}
]
}

This endpoint retrieves the latest 50 changes to the Campaign entity.

HTTP Request​

GET https://adsapi.snapchat.com/v1/campaigns/{campaign_id}/external_changelogs?limit=50

Parameters​

ParameterDefaultDescription
campaign_idCampaign ID

Fetch the change logs for an AdSquad​

curl "https://adsapi.snapchat.com/v1/adsquads/{adsquad_id}/external_changelogs?limit=50" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "5d2f495400ff05e47e72eb0f710001737e616473617069736300016275696c642d32613361333938642d312d3237332d310001011a",
"paging": {},
"changelogs": [
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "ae2161fb-737a-4f3c-9a3d-e6c83d9c9e30",
"updated_at": "2019-07-17T15:58:40.150Z",
"created_at": "2019-07-17T15:58:40.150Z",
"name": "Badger Ad Squad - July 2019",
"action": "UPDATED",
"user_id": "a71cfcae-895d-4314-9460-e2ffd2515dd0",
"email": "honey.badger@hooli.com",
"event_at": "2019-07-17T15:58:39.872Z",
"app_id": "e9bdc78d-81fa-4470-8f6b-2a3d6f0487b3",
"app_name": "Honey badger App",
"entity_id": "c478150d-b177-4ecb-938d-f5157375f937",
"entity_type": "AD_SQUAD",
"update_value_records": {
"bid_micro": {
"before_value": "868402",
"after_value": "876174"
}
}
}
}
]
}

This endpoint retrieves the latest 50 changes to the AdSquad entity.

HTTP Request​

GET https://adsapi.snapchat.com/v1/adsquads/{adsquad_id}/external_changelogs?limit=50

Parameters​

ParameterDefaultDescription
adsquad_idAdSquad ID

Fetch the change logs for an Ad​

curl "https://adsapi.snapchat.com/v1/ads/{ad_id}/external_changelogs?limit=50" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "5d39e22900ff08cd2599670abb0001737e616473617069736300016275696c642d30633939333234362d312d3237352d300001014c",
"paging": {},
"changelogs": [
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "36f4b88b-1c24-41f5-af86-24983795edd7",
"updated_at": "2019-07-25T17:08:51.279Z",
"created_at": "2019-07-25T17:08:51.279Z",
"name": "Badger Holiday Ad 2019",
"action": "UPDATED",
"user_id": "a71cfcae-895d-4314-9460-e2ffd2515dd0",
"email": "honey.badger@hooli.com",
"event_at": "2019-07-25T17:08:51.030Z",
"app_id": "87947032-5fbd-46a7-ba60-073ca8efefbb",
"app_name": "Honey badger App",
"entity_id": "cd88b368-35a3-46f4-b37f-2f1a72db2692",
"entity_type": "AD",
"update_value_records": {
"status": {
"before_value": "\"ACTIVE\"",
"after_value": "\"PAUSED\""
}
}
}
}
]
}

This endpoint retrieves the latest 50 changes to the Ad entity.

HTTP Request​

GET https://adsapi.snapchat.com/v1/ads/{ad_id}/external_changelogs?limit=50

Parameters​

ParameterDefaultDescription
ad_idAd ID

Fetch the change logs for a Creative​

curl "https://adsapi.snapchat.com/v1/creatives/{creative_id}/external_changelogs?limit=50" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "5d39de6000ff01c2268bd5c37b0001737e616473617069736300016275696c642d30633939333234362d312d3237352d300001010a",
"paging": {},
"changelogs": [
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "a94cb9ed-0171-402a-aee7-ffecae0ce7bc",
"updated_at": "2019-07-17T16:27:00.717Z",
"created_at": "2019-07-17T16:27:00.717Z",
"name": "Badger Rush",
"action": "UPDATED",
"user_id": "a71cfcae-895d-4314-9460-e2ffd2515dd0",
"email": "honey.badger@hooli.com",
"event_at": "2019-07-17T16:27:00.566Z",
"app_id": "e9bdc78d-81fa-4470-8f6b-2a3d6f0487b3",
"app_name": "Honey Badger App",
"entity_id": "6475383b-cb70-4353-93b2-b227054169ae",
"entity_type": "CREATIVE",
"update_value_records": {
"call_to_action": {
"before_value": "\"MORE\"",
"after_value": "\"SIGN UP\""
}
}
}
},
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "72b18e3a-598a-4e29-a288-980613de3714",
"updated_at": "2019-07-17T16:07:00.985Z",
"created_at": "2019-07-17T16:07:00.985Z",
"name": "Badger Rush",
"action": "CREATED",
"user_id": "a71cfcae-895d-4314-9460-e2ffd2515dd0",
"email": "honey.badger@hooli.com",
"event_at": "2019-07-17T16:07:00.629Z",
"app_id": "e9bdc78d-81fa-4470-8f6b-2a3d6f0487b3",
"app_name": "Honey Badger App",
"entity_id": "6475383b-cb70-4353-93b2-b227054169ae",
"entity_type": "CREATIVE"
}
}
]
}

This endpoint retrieves the latest 50 changes to the Creative entity.

HTTP Request​

GET https://adsapi.snapchat.com/v1/creatives/{creative_id}/external_changelogs?limit=50

Parameters​

ParameterDefaultDescription
creative_idCreative ID

Fetch the change logs for a Dynamic Template​

curl "https://adsapi.snapchat.com/v1/dynamic_templates/{dynamic_template_id}/external_changelogs?limit=50" \
-H "Authorization: Bearer meowmeowmeow"

The above command returns JSON structured like this:

{
"request_status": "SUCCESS",
"request_id": "5d39e22900ff08cd2599670abb0001737e616473617069736300016275696c642d30633939333234362d312d3237352d300001014c",
"paging": {},
"changelogs": [
{
"sub_request_status": "SUCCESS",
"changelog": {
"id": "4f5f0eb1-92dd-4ae4-9d86-135ca516e696",
"updated_at": "2023-10-17T19:28:18.445Z",
"created_at": "2023-10-17T19:28:18.445Z",
"name": "Badger template",
"action": "CREATED",
"email": "honey.badger@hooli.com",
"event_at": "2023-10-17T19:28:17.912Z",
"app_id": "e9bdc78d-81fa-4470-8f6b-2a3d6f0487b3",
"app_name": "Honey badger App",
"entity_id": "f0a30c08-7613-4d41-a5fa-d8a0382bcced",
"entity_type": "DYNAMIC_TEMPLATE"
}
}
]
}

This endpoint retrieves the latest 50 changes to the Dynamic Template entity.

HTTP Request​

GET https://adsapi.snapchat.com/v1/dynamic_templates/{dynamic_template_id}/external_changelogs?limit=50

Parameters​

ParameterDefaultDescription
dynamic_template_idDynamic Template ID
Was this page helpful?
Yes
No